<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_l_c_d_conf_8c" kind="file" language="C++">
    <compoundname>LCDConf.c</compoundname>
    <includes local="yes" refid="emwin_8h">emwin.h</includes>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Solutions<sp />for<sp />real<sp />time<sp />microcontroller<sp />applications<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(c)<sp />1996<sp />-<sp />2018<sp /><sp />SEGGER<sp />Microcontroller<sp />GmbH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Internet:<sp />www.segger.com<sp /><sp /><sp /><sp />Support:<sp /><sp />support@segger.com<sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="11"><highlight class="comment" /></codeline>
<codeline lineno="12"><highlight class="comment">**<sp />emWin<sp />V5.48<sp />-<sp />Graphical<sp />user<sp />interface<sp />for<sp />embedded<sp />applications<sp />**</highlight></codeline>
<codeline lineno="13"><highlight class="comment">All<sp /><sp />Intellectual<sp />Property<sp />rights<sp /><sp />in<sp />the<sp />Software<sp />belongs<sp />to<sp /><sp />SEGGER.</highlight></codeline>
<codeline lineno="14"><highlight class="comment">emWin<sp />is<sp />protected<sp />by<sp /><sp />international<sp />copyright<sp />laws.<sp /><sp />Knowledge<sp />of<sp />the</highlight></codeline>
<codeline lineno="15"><highlight class="comment">source<sp />code<sp />may<sp />not<sp />be<sp />used<sp />to<sp />write<sp />a<sp />similar<sp />product.<sp /><sp />This<sp />file<sp />may</highlight></codeline>
<codeline lineno="16"><highlight class="comment">only<sp />be<sp />used<sp />in<sp />accordance<sp />with<sp />the<sp />following<sp />terms:</highlight></codeline>
<codeline lineno="17"><highlight class="comment" /></codeline>
<codeline lineno="18"><highlight class="comment">The<sp />software<sp /><sp />has<sp />been<sp />licensed<sp />to<sp /><sp />Cypress<sp />Semiconductor<sp />Corporation,</highlight></codeline>
<codeline lineno="19"><highlight class="comment">whose<sp />registered<sp /><sp />office<sp />is<sp />situated<sp /><sp />at<sp />198<sp />Champion<sp />Ct.<sp />San<sp />Jose,<sp />CA</highlight></codeline>
<codeline lineno="20"><highlight class="comment">95134<sp />USA<sp /><sp />solely<sp />for<sp />the<sp /><sp />purposes<sp />of<sp />creating<sp /><sp />libraries<sp />for<sp />Cypress</highlight></codeline>
<codeline lineno="21"><highlight class="comment">PSoC3<sp />and<sp /><sp />PSoC5<sp />processor-based<sp />devices,<sp /><sp />sublicensed<sp />and<sp />distributed</highlight></codeline>
<codeline lineno="22"><highlight class="comment">under<sp /><sp />the<sp /><sp />terms<sp /><sp />and<sp /><sp />conditions<sp /><sp />of<sp /><sp />the<sp /><sp />Cypress<sp /><sp />End<sp />User<sp />License</highlight></codeline>
<codeline lineno="23"><highlight class="comment">Agreement.</highlight></codeline>
<codeline lineno="24"><highlight class="comment">Full<sp />source<sp />code<sp />is<sp />available<sp />at:<sp />www.segger.com</highlight></codeline>
<codeline lineno="25"><highlight class="comment" /></codeline>
<codeline lineno="26"><highlight class="comment">We<sp />appreciate<sp />your<sp />understanding<sp />and<sp />fairness.</highlight></codeline>
<codeline lineno="27"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="28"><highlight class="comment">Licensing<sp />information</highlight></codeline>
<codeline lineno="29"><highlight class="comment">Licensor:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SEGGER<sp />Microcontroller<sp />Systems<sp />LLC</highlight></codeline>
<codeline lineno="30"><highlight class="comment">Licensed<sp />to:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cypress<sp />Semiconductor<sp />Corp,<sp />198<sp />Champion<sp />Ct.,<sp />San<sp />Jose,<sp />CA<sp />95134,<sp />USA</highlight></codeline>
<codeline lineno="31"><highlight class="comment">Licensed<sp />SEGGER<sp />software:<sp />emWin</highlight></codeline>
<codeline lineno="32"><highlight class="comment">License<sp />number:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GUI-00319</highlight></codeline>
<codeline lineno="33"><highlight class="comment">License<sp />model:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Services<sp />and<sp />License<sp />Agreement,<sp />signed<sp />June<sp />10th,<sp />2009</highlight></codeline>
<codeline lineno="34"><highlight class="comment">Licensed<sp />platform:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Any<sp />Cypress<sp />platform<sp />(Initial<sp />targets<sp />are:<sp />PSoC3,<sp />PSoC5)</highlight></codeline>
<codeline lineno="35"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="36"><highlight class="comment">Support<sp />and<sp />Update<sp />Agreement<sp />(SUA)</highlight></codeline>
<codeline lineno="37"><highlight class="comment">SUA<sp />period:<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2009-06-12<sp />-<sp />2022-07-27</highlight></codeline>
<codeline lineno="38"><highlight class="comment">Contact<sp />to<sp />extend<sp />SUA:<sp /><sp /><sp /><sp />sales@segger.com</highlight></codeline>
<codeline lineno="39"><highlight class="comment">----------------------------------------------------------------------</highlight></codeline>
<codeline lineno="40"><highlight class="comment">File<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp />LCDConf.c</highlight></codeline>
<codeline lineno="41"><highlight class="comment">Purpose<sp /><sp /><sp /><sp /><sp />:<sp />Display<sp />configuration<sp />file<sp />for<sp />GUIDRV_Bitplains<sp />to<sp />be</highlight></codeline>
<codeline lineno="42"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />used<sp />without<sp />any<sp />display<sp />controller.<sp />This<sp />implementation</highlight></codeline>
<codeline lineno="43"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />has<sp />been<sp />written<sp />and<sp />tested<sp />with<sp />the<sp />RSKR32C111<sp />with</highlight></codeline>
<codeline lineno="44"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Visualization<sp />Add<sp />On.</highlight></codeline>
<codeline lineno="45"><highlight class="comment">---------------------------END-OF-HEADER------------------------------</highlight></codeline>
<codeline lineno="46"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"emwin.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(EMWIN_ENABLED)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stddef.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"GUI.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"GUIDRV_BitPlains.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"string.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"LCDConf.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_e2271cs021_hw_interface.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="60"><highlight class="comment">*</highlight></codeline>
<codeline lineno="61"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Layer<sp />configuration</highlight></codeline>
<codeline lineno="62"><highlight class="comment">*</highlight></codeline>
<codeline lineno="63"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="64"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="comment">//<sp />Physical<sp />display<sp />size</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#define<sp />XSIZE_PHYS<sp />MTB_DISPLAY_SIZE_X</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#define<sp />YSIZE_PHYS<sp />MTB_DISPLAY_SIZE_Y</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="comment">//<sp />Color<sp />conversion</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="comment">//<sp /><sp /><sp />The<sp />color<sp />conversion<sp />functions<sp />should<sp />be<sp />selected<sp />according<sp />to</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="comment">//<sp /><sp /><sp />the<sp />color<sp />mode<sp />of<sp />the<sp />target<sp />display.<sp />Details<sp />can<sp />be<sp />found<sp />in</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="comment">//<sp /><sp /><sp />the<sp />chapter<sp />"Colors"<sp />in<sp />the<sp />emWin<sp />user<sp />manual.</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />COLOR_CONVERSION<sp />GUICC_1</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="80"><highlight class="comment">*</highlight></codeline>
<codeline lineno="81"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Configuration<sp />checking</highlight></codeline>
<codeline lineno="82"><highlight class="comment">*</highlight></codeline>
<codeline lineno="83"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="84"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="comment">//<sp />Checking<sp />display<sp />driver<sp />configuration</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp /><sp /><sp />XSIZE_PHYS</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp />#error<sp />Physical<sp />X<sp />size<sp />of<sp />display<sp />is<sp />not<sp />defined!</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp /><sp /><sp />YSIZE_PHYS</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp />#error<sp />Physical<sp />Y<sp />size<sp />of<sp />display<sp />is<sp />not<sp />defined!</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp /><sp /><sp />COLOR_CONVERSION</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp />#error<sp />Color<sp />conversion<sp />not<sp />defined!</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="comment">//<sp />Number<sp />of<sp />bytes<sp />per<sp />line</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#define<sp />BYTES_PER_LINE<sp />((XSIZE_PHYS<sp />+<sp />7)<sp />/<sp />8)</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="104"><highlight class="comment">*</highlight></codeline>
<codeline lineno="105"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Static<sp />data</highlight></codeline>
<codeline lineno="106"><highlight class="comment">*</highlight></codeline>
<codeline lineno="107"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="108"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="comment">//<sp />Data<sp />arrays<sp />to<sp />be<sp />used<sp />by<sp />the<sp />display<sp />driver</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />U8<sp />_aPlain_0[BYTES_PER_LINE<sp />*<sp />YSIZE_PHYS];</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /><highlight class="comment">//<sp />Structure<sp />to<sp />be<sp />passed<sp />to<sp />the<sp />driver</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">{</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp />U8<sp />*<sp />apVRAM[8];</highlight></codeline>
<codeline lineno="119"><highlight class="normal">}<sp />_VRAM_Desc<sp />=<sp />{{</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp />_aPlain_0,</highlight></codeline>
<codeline lineno="121"><highlight class="normal">}};</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="124"><highlight class="comment">*</highlight></codeline>
<codeline lineno="125"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Public<sp />code</highlight></codeline>
<codeline lineno="126"><highlight class="comment">*</highlight></codeline>
<codeline lineno="127"><highlight class="comment">**********************************************************************</highlight></codeline>
<codeline lineno="128"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="130"><highlight class="comment">*</highlight></codeline>
<codeline lineno="131"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />LCD_X_Config</highlight></codeline>
<codeline lineno="132"><highlight class="comment">*</highlight></codeline>
<codeline lineno="133"><highlight class="comment">*<sp />Purpose:</highlight></codeline>
<codeline lineno="134"><highlight class="comment">*<sp /><sp /><sp />Called<sp />during<sp />the<sp />initialization<sp />process<sp />in<sp />order<sp />to<sp />set<sp />up<sp />the</highlight></codeline>
<codeline lineno="135"><highlight class="comment">*<sp /><sp /><sp />display<sp />driver<sp />configuration.</highlight></codeline>
<codeline lineno="136"><highlight class="comment">*</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />LCD_X_Config(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="139"><highlight class="normal">{</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp />GUI_DEVICE<sp />*<sp />pDevice;</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp />CONFIG_BITPLAINS<sp />Config<sp />=<sp />{0};</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//<sp />Set<sp />display<sp />driver<sp />and<sp />color<sp />conversion<sp />for<sp />1st<sp />layer</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp />pDevice<sp />=<sp />GUI_DEVICE_CreateAndLink(GUIDRV_BITPLAINS,<sp />COLOR_CONVERSION,<sp />0,<sp />0);</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />Bitplains<sp />library<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp />Config.Mirror<sp />=<sp />1;</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp />GUIDRV_BitPlains_Config(pDevice,<sp />&amp;Config);</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//<sp />Display<sp />driver<sp />configuration</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(LCD_GetSwapXY())</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp />{</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />LCD_SetSizeEx<sp />(0,<sp />YSIZE_PHYS,<sp />XSIZE_PHYS);</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />LCD_SetVSizeEx(0,<sp />YSIZE_PHYS,<sp />XSIZE_PHYS);</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp />}</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp />{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />LCD_SetSizeEx<sp />(0,<sp />XSIZE_PHYS,<sp />YSIZE_PHYS);</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />LCD_SetVSizeEx(0,<sp />XSIZE_PHYS,<sp />YSIZE_PHYS);</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp />}</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//<sp />Initialize<sp />VRAM<sp />access<sp />off<sp />driver</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">//</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp />LCD_SetVRAMAddrEx(0,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*)&amp;_VRAM_Desc);</highlight></codeline>
<codeline lineno="166"><highlight class="normal">}</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="169"><highlight class="comment">*</highlight></codeline>
<codeline lineno="170"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />LCD_X_DisplayDriver</highlight></codeline>
<codeline lineno="171"><highlight class="comment">*</highlight></codeline>
<codeline lineno="172"><highlight class="comment">*<sp />Purpose:</highlight></codeline>
<codeline lineno="173"><highlight class="comment">*<sp /><sp /><sp />This<sp />function<sp />is<sp />called<sp />by<sp />the<sp />display<sp />driver<sp />for<sp />several<sp />purposes.</highlight></codeline>
<codeline lineno="174"><highlight class="comment">*<sp /><sp /><sp />To<sp />support<sp />the<sp />according<sp />task,<sp />the<sp />routine<sp />needs<sp />to<sp />be<sp />adapted<sp />to</highlight></codeline>
<codeline lineno="175"><highlight class="comment">*<sp /><sp /><sp />the<sp />display<sp />controller.<sp />Note<sp />that<sp />the<sp />commands<sp />marked</highlight></codeline>
<codeline lineno="176"><highlight class="comment">*<sp /><sp /><sp />"optional"<sp />are<sp />not<sp />cogently<sp />required<sp />and<sp />should<sp />only<sp />be<sp />adapted<sp />if</highlight></codeline>
<codeline lineno="177"><highlight class="comment">*<sp /><sp /><sp />the<sp />display<sp />controller<sp />supports<sp />these<sp />features.</highlight></codeline>
<codeline lineno="178"><highlight class="comment">*</highlight></codeline>
<codeline lineno="179"><highlight class="comment">*<sp />Parameter:</highlight></codeline>
<codeline lineno="180"><highlight class="comment">*<sp /><sp /><sp />LayerIndex<sp />-<sp />Zero<sp />based<sp />layer<sp />index</highlight></codeline>
<codeline lineno="181"><highlight class="comment">*<sp /><sp /><sp />Cmd<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />-<sp />Command<sp />to<sp />be<sp />executed</highlight></codeline>
<codeline lineno="182"><highlight class="comment">*<sp /><sp /><sp />pData<sp /><sp /><sp /><sp /><sp /><sp />-<sp />Pointer<sp />to<sp />a<sp />data<sp />structure.</highlight></codeline>
<codeline lineno="183"><highlight class="comment">*</highlight></codeline>
<codeline lineno="184"><highlight class="comment">*<sp />Return<sp />Value:</highlight></codeline>
<codeline lineno="185"><highlight class="comment">*<sp /><sp /><sp />&lt;<sp />-1<sp />-<sp />Error</highlight></codeline>
<codeline lineno="186"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp />-1<sp />-<sp />The<sp />command<sp />is<sp />not<sp />handled.</highlight></codeline>
<codeline lineno="187"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp />0<sp />-<sp />OK.</highlight></codeline>
<codeline lineno="188"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /><highlight class="keywordtype">int</highlight><highlight class="normal"><sp />LCD_X_DisplayDriver(</highlight><highlight class="keywordtype">unsigned</highlight><highlight class="normal"><sp />LayerIndex,<sp /></highlight><highlight class="keywordtype">unsigned</highlight><highlight class="normal"><sp />Cmd,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />pData)</highlight></codeline>
<codeline lineno="190"><highlight class="normal">{</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp />GUI_USE_PARA(LayerIndex);</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp />GUI_USE_PARA(pData);</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />-1;</highlight></codeline>
<codeline lineno="195"><highlight class="normal">}</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /><highlight class="comment">/*********************************************************************</highlight></codeline>
<codeline lineno="198"><highlight class="comment">*</highlight></codeline>
<codeline lineno="199"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />LCD_GetDisplayBuffer</highlight></codeline>
<codeline lineno="200"><highlight class="comment">*</highlight></codeline>
<codeline lineno="201"><highlight class="comment">*<sp />Purpose:</highlight></codeline>
<codeline lineno="202"><highlight class="comment">*<sp /><sp /><sp />This<sp />function<sp />returns<sp />the<sp />pointer<sp />to<sp />EmWin's<sp />display<sp />buffer</highlight></codeline>
<codeline lineno="203"><highlight class="comment" /></codeline>
<codeline lineno="204"><highlight class="comment">*<sp />Parameter:</highlight></codeline>
<codeline lineno="205"><highlight class="comment">*<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="206"><highlight class="comment">*</highlight></codeline>
<codeline lineno="207"><highlight class="comment">*<sp />Return<sp />Value:</highlight></codeline>
<codeline lineno="208"><highlight class="comment">*<sp /><sp /><sp />U8*<sp />-<sp />Pointer<sp />to<sp />the<sp />EmWin's<sp />display<sp />buffer</highlight></codeline>
<codeline lineno="209"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal">U8*<sp />LCD_GetDisplayBuffer(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">)</highlight></codeline>
<codeline lineno="211"><highlight class="normal">{</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />pointer<sp />to<sp />the<sp />display<sp />buffer<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_aPlain_0;</highlight></codeline>
<codeline lineno="214"><highlight class="normal">}</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(EMWIN_ENABLED)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal" /><highlight class="comment">/***************************<sp />End<sp />of<sp />file<sp />****************************/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/configs/emwin/LCDConf.c" />
  </compounddef>
</doxygen>